#include "Gadget/Engine.h"
#include "PathNode.h"

PathNode::PathNode()
{
	pathDist = 999999.9f; //I give these a large number in case the search never reaches them.
	goalDist = 999999.9f; //If I gave these a low value, they might be mistaken for part of the path solution.
	patchX = patchY = 0;
}

float PathNode::GetDistance(PathNode* other)
{
	return (position - other->position).GetLength();
}

void PathNode::Render()
{
	glColor3f(0.0f, 0.0f, 1.0f); //Blue

	//Render the nodes as points
	glPointSize(10.0f); 
	glBegin(GL_POINTS); 
		glVertex3f(position.x, position.y, 0.0f); 
	glEnd();

	//Render the connections as lines
	for(unsigned int i = 0; i<neighbours.size(); i++)
	{
		glBegin(GL_LINE_STRIP);
			glVertex3f(position.x, position.y, 0.0f); 
			glVertex3f(neighbours[i]->position.x, neighbours[i]->position.y, 0.0f); 
		glEnd();
	}

	glColor3f(1.0f, 1.0f, 1.0f); //Back to white
}